package org.wcs.serve.service.intf;

import org.wcs.model.dto.serve.config.QueryConfigReq;
import org.wcs.model.dto.serve.config.UpdateConfigReq;
import org.wcs.model.vo.serve.AppServeDataResponse;
import org.wcs.model.vo.serve.AppServeResponse;
import org.wcs.model.vo.serve.config.QueryConfigResp;

import java.util.List;

public interface IConfigService {

    AppServeDataResponse<List<QueryConfigResp>> queryConfig(QueryConfigReq queryConfigReq); // 查询配置
    AppServeResponse updateConfig(UpdateConfigReq updateConfigReq); // 修改配置
    AppServeResponse reloadConfig(); // 重新加载配置
    AppServeDataResponse<String> queryConfigValue(String key); // 查询配置值

}
